Bug 5466 - Cannot Query Users in Child Domains with wbinfo
Summary: Cannot Query Users in Child Domains with wbinfo
Status: RESOLVED FIXED
Alias: None
Product: Samba 3.0
Classification: Unclassified
Component: winbind (show other bugs)
Version: 3.0.28a
Hardware: x64 Windows XP
: P3 major
Target Milestone: none
Assignee: Samba Bugzilla Account
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-15 19:45 UTC by Duncan Fiander (mail address dead)
Modified: 2008-05-27 10:30 UTC (History)
0 users

See Also:


Attachments
Debug Logs (20.00 KB, application/octet-stream)
2008-05-15 19:46 UTC, Duncan Fiander (mail address dead)
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Duncan Fiander (mail address dead) 2008-05-15 19:45:31 UTC
Samba version: Version 3.0.28a-0.1.104-1670-SUSE-CODE10

We are seeing a problem where we can no longer query the users or groups in child domains. 

Any info on how we can resolve this? 

Debug logs attached.
Comment 1 Duncan Fiander (mail address dead) 2008-05-15 19:46:27 UTC
Created attachment 3293 [details]
Debug Logs
Comment 2 Duncan Fiander (mail address dead) 2008-05-15 19:49:12 UTC
We have seen this on 3.0.28g as well. 
Comment 3 Duncan Fiander (mail address dead) 2008-05-16 12:54:21 UTC
If I do not use winbind I can query the child domain. 

List trusted domains
#net rpc trustdom list -Uadministrator%password

Display Count of Users & Groups
#net rpc info -w domain -Uadministrator%password

List Users in a Domain
#net ads user -w domain -Uadministrator%password
Comment 4 Duncan Fiander (mail address dead) 2008-05-16 17:44:47 UTC
We have rolled back to Version 3.0.26a-0.1.83-1478-SUSE-CODE10 and we are now abe to query the users and groups on child domains. 
Comment 5 Gerald (Jerry) Carter 2008-05-27 07:59:29 UTC
I think the winbindd issues have been resolved in v3-0-test.
Comment 6 Duncan Fiander (mail address dead) 2008-05-27 10:30:21 UTC
It looks the way in which we did user queries no longer works.

Since we are seeing larger domains (400K + usrs) this is a bad practice anyways and have chaned the way we query users in our code. 

We now use the wbinfo -D domain -n username to query users and the -g option for groups.